Leads

Use the REST API to interact with Leads

List leads

Retrieve leads

get

Retrieve a list of leads

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AcceptstringRequired

Setting to application/json is recommended

Example: application/json
Responses
chevron-right
200

Success

application/json
idstringOptionalExample: 751dd3d0-23ae-4a4a-9049-6982423da87a
typestringOptionalExample: form
google_client_idstringOptionalExample: 123456789.98765433
lead_datestringOptionalExample: 2023-01-01 10:30:00
namestringOptionalExample: John Smith
emailstringOptionalExample: [email protected]
phonestringOptionalExample: 0411 111 111
messagestringOptionalExample: I'm looking for a price for a car service
web_sourcestringOptionalExample: google
web_campaignstringOptionalExample: Location Based
web_mediumstringOptionalExample: paid
web_keywordstringOptionalExample: Sydney Car Service
quality_scorestringOptionalExample: 6.5
engagement_scorestringOptionalExample: 8
form_namestringOptionalExample: Contact Us
urlstringOptionalExample: https://www.sydcarservice.xyz/contact-us
linkstringOptionalExample: https://app.engineroom.com.au/leads/751dd3d0-23ae-4a4a-9049-6982423da87a&business=46580dbc-da00-4316-9a2d-c04a133741aa
get
/leads

Creating a new lead

Create a new lead

post

Create a new lead entry

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
body
lead_datastringOptional

Datetime value the lead was created at, leave blank for current timestamp

Example: 2023-01-01 10:30:00
namestringOptional

Lead Name

Example: John Smith
emailstringOptional

Lead Email Address

Example: [email protected]
phonestringOptional

Lead Phone Number

Example: 0411 111 111
messagestringOptional

Message / Content from Form

Example: I'm looking for a price for a car service
google_client_idstringOptional

Google Client ID

Example: 123456789.98765433
web_sourcestringOptional

Source of Lead E.g "google" or "direct"

Example: google
web_campaignstringOptional

Campaign Attribution

Example: Location Based
web_mediumstringOptional

Medium Attribution E.g "paid" or "organic"

Example: paid
web_keywordstringOptional

Keyword Attribution

Example: Sydney Car Service
form_namestringOptional

Name of form lead completed

Example: Contact Us
urlstringOptional

URL of Lead Acquisition

Example: https://www.sydcarservice.xyz/contact-us
datastringOptional

Additional Information (JSON String)

Example: {"make": "Nissan", "model": "X-Trail", "year": "2022"}
Header parameters
AcceptstringRequired

Request content type

Example: application/json
Responses
post
/leads

Get lead

Retrieve lead

get

Retrieve a single lead

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Lead ID

Example: 751dd3d0-23ae-4a4a-9049-6982423da87a
Header parameters
AcceptstringRequired

Setting to application/json is recommended

Example: application/json
Responses
chevron-right
200

Success

application/json
idstringOptionalExample: 751dd3d0-23ae-4a4a-9049-6982423da87a
typestringOptionalExample: form
google_client_idstringOptionalExample: 123456789.98765433
lead_datestringOptionalExample: 2023-01-01 10:30:00
namestringOptionalExample: John Smith
emailstringOptionalExample: [email protected]
phonestringOptionalExample: 0411 111 111
messagestringOptionalExample: I'm looking for a price for a car service
web_sourcestringOptionalExample: google
web_campaignstringOptionalExample: Location Based
web_mediumstringOptionalExample: paid
web_keywordstringOptionalExample: Sydney Car Service
quality_scorestringOptionalExample: 6.5
engagement_scorestringOptionalExample: 8
form_namestringOptionalExample: Contact Us
urlstringOptionalExample: https://www.sydcarservice.xyz/contact-us
linkstringOptionalExample: https://app.engineroom.com.au/leads/751dd3d0-23ae-4a4a-9049-6982423da87a&business=46580dbc-da00-4316-9a2d-c04a133741aa
get
/leads/{id}

Last updated